<?php

namespace Modules\St\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\Auth;
use Spatie\Activitylog\Contracts\Activity;
use Spatie\Activitylog\Traits\LogsActivity;
class GroupLevel2 extends Model
{
    protected $table = 'st_group_level_2';
    protected $primaryKey = "group_level_2_id"; 
    use HasFactory,LogsActivity;
    protected static $logAttributes = [
        'group_level_2_id',
        'grp_lvl_1_for_id',
        'group_level_2',
        'status',
    ];
    protected static $logOnlyDirty = true;
    public function tapActivity(Activity $activity, string $eventName)
    {
        $activity->log_name = "st_group_level_2";
        $activity->description = $eventName;
        $activity->causer_id = Auth::user()->id;
    }

    // protected $fillable = [];
    
    // protected static function newFactory()
    // {
    //     return \Modules\St\Database\factories\GroupLevel2Factory::new();
    // }
}
