<?php

namespace Modules\St\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Factory extends Model
{
    use HasFactory;

    protected $table = 'st_factories';
    protected $primaryKey = 'factory_id';
    protected $fillable = [];
    
    protected static function newFactory()
    {
        return \Modules\St\Database\factories\FactoryFactory::new();
    }
}
